use moa_uapi::sched::{SchedLoad, SchedStateInfo};

#[allow(clippy::wildcard_imports)]
use super::*;

#[syscall(SYSNR_SCHED_REGISTER)]
fn sys_sched_register(spaceid: usize, chan: u32, flags: usize) -> isize {
    ERR_NOSYS
}

#[syscall(SYSNR_SCHED_UNREGISTER)]
fn sys_sched_unregister() -> isize {
    ERR_NOSYS
}

#[syscall(SYSNR_SCHED_SET_MODE)]
fn sys_sched_set_mode(flags: usize) -> isize {
    ERR_NOSYS
}

#[syscall(SYSNR_SCHED_RESUME)]
fn sys_sched_resume(sched: u32) -> isize {
    ERR_NOSYS
}

#[syscall(SYSNR_SCHED_SUSPEND)]
fn sys_sched_suspend(sched: u32) -> isize {
    ERR_NOSYS
}

#[syscall(SYSNR_SCHED_SET_CPU)]
fn sys_sched_set_cpu(sched: u32, cpuid: usize) -> isize {
    ERR_NOSYS
}

#[syscall(SYSNR_SCHED_GET_STATE)]
fn sys_sched_get_state(sched: u32, out: *mut SchedStateInfo) -> isize {
    ERR_NOSYS
}

#[syscall(SYSNR_SCHED_GET_TASK_LOAD)]
fn sys_sched_get_task_load(sched: u32, out: *mut SchedLoad) -> isize {
    ERR_NOSYS
}
